<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Liste des Film</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css">
</head>

<body>
<div th:insert="fragments/navbar :: navbar"></div>
<div class="container my-2">
    <div class="card">
        <div class="card-body">
            <div th:switch="${filmList}" class="container my-5">
                <p class="my-5">
                    <a href="/film/add" class="btn btn-primary">
                        <i class="fas fa-user-plus ml-2">Ajouter Film </i></a>
                </p>
                <div class="col-md-10">
                    <h2 th:case="null">No record found !!</h2>
                    <div th:case="*">
                        <table class="table table-striped table-responsive-md">
                            <thead>
                            <tr>
                                <th>title</th>
                                <th>director</th>
                                <th>duration</th>
                                <th>genre</th>
                                <th>rating</th>
                                <th>edit</th>
                                <th>delete</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr th:each="film : ${filmList}">
                                <td th:text="${film.title}"></td>
                                <td th:text="${film.director}"></td>
                                <td th:text="${film.duration}"></td>
                                <td th:text="${film.genre}"></td>
                                <td th:text="${film.rating}"></td>
                                <td>
                                    <a th:href="@{/film/edit/{id}(id=${film.id})}"
                                       class="btn btn-primary">
                                        <i class="fas fa-user-edit ml-2"></i>
                                    </a>
                                </td>
                                <td>
                                    <a th:href="@{/film/delete/{id}(id=${film.id})}"
                                       class="btn btn-primary">
                                        <i class="fas fa-user-times ml-2"></i>
                                    </a>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>

<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
</body>

</html>